<template>
  <section class="sidebar-desktop mt-1 mt-lg-0">
    <div class="sidebar-header bg-white">
      <div
        class="logo-container d-flex justify-content-center align-items-center py-2"
      >
        <nuxt-link to="/">
          <img :src="appConfig.logo" alt="Logo Minimarket" class="logo pointer" />
        </nuxt-link>
      </div>

      <section class="title-container text-center bg-primary text-white">
        <h3 class="title my-0 pt-lg-1">COMPRAR POR CATEGORÍA</h3>
      </section>
    </div>

    <nav class="shadow-card">
      <nuxt-link
        :to="{
          name: 'productos-categorias-slug',
          params: { slug: item.slug },
        }"
        class="sidebar-item align-items-center"
        v-for="item in categorias"
        :key="item.id"
      >
        <img
          :src="item.imagen.url"
          alt=""
          class="ml-2"
        />

        <div
          class="d-flex justify-content-between align-items-center py-3 px-3 ml-2"
        >
          <span class="d-inline-block text-uppercase">{{ item.nombre }}</span>

          <span class="sidebar-icon">
            <i class="fas fa-chevron-right" aria-hidden="true"></i>
          </span>
        </div>
      </nuxt-link>
    </nav>
  </section>
</template>

<script>
import { appConfig } from "@/app-config.js";

import categoriesMixin from '@/mixins/modules/products/categories'

export default {
  mixins: [categoriesMixin],
  data() {
    return {
      appConfig,
      categorias: []
    };
  }
};
</script>

<style lang="scss" scoped>
@import "~/assets/scss/variables";
@import "~/assets/scss/mixins";

.sidebar-desktop {
  width: 320px;
  height: calc(100vh - 65px);
  position: fixed;
  // overflow-y: scroll;

  @media (min-width: 992px) {
    height: 100vh;
  }

  .sidebar-header {
    width: 320px;
    height: 112px;
    position: fixed;
  }

  .logo-container {
    height: 68px;
  }

  nav {
    @media (min-width: 992px) {
      height: calc(100vh - 115px);
      margin-top: 115px;
      padding-bottom: .5rem;
      
      @include nav-scroll;
    }
  }

  .logo {
    max-width: 120px;
    max-height: 55px;
  }

  .title-container {
    padding: 0.7rem;
  }

  .title {
    font-size: 0.9em;
  }

  .sidebar-item {
    display: grid;
    grid-template-columns: 40px 1fr;

    color: rgba($dark, 0.65);
    font-size: 0.8em;
    font-weight: 400;
    transition: color 0.15s;
    border-bottom: 1px solid rgba($secondary, 0.1);

    img {
      width: 40px;
    }

    &:hover {
      background-color: $light;
      color: $dark;
      text-decoration: none;

      .sidebar-icon {
        color: rgba($dark, 0.7);
      }
    }
  }

  .sidebar-icon {
    color: rgba($dark, 0.35);
  }
}
</style>
